package page

import (
	"context"
	"errors"

	"source.toby3d.me/toby3d/home/internal/domain"
)

type UseCase interface {
	Do(ctx context.Context, lang domain.Language, path string) (*domain.Page, error)
}

var ErrNotExist error = errors.New("page not exists")
